---
title: VTTCue()
slug: Web/API/VTTCue/VTTCue
tags:
  - API
  - Accessibility
  - Constructor
  - Reference
  - VTTCue
  - WebVTT
  - WebVTT API
  - a11y
  - captions
  - vtt
---
<p>{{APIRef("WebVTT")}}</p>

<p>The <code><strong>VTTCue()</strong></code> constructor creates and returns a new {{domxref("VTTCue")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> <em>vttCue</em> = new VTTCue(<em>startTime</em>, <em>endTime</em>, <em>text</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>startTime</code></dt>
 <dd>This is a <code>double</code> representing the initial text track cue start time. This is the time, given in seconds and fractions of a second, denoting the beginning of the range of the media data to which this cue applies. For example, if a cue is to be visible from 50 seconds to a one minute, five and a half seconds in the media's playback, <code>startTime</code> will be 50.0.</dd>
 <dt><code>endTime</code></dt>
 <dd>This is a <code>double</code> representing the ending time for this text track cue. This is the time at which the cue should stop being presented to the user, given in seconds and fractions thereof. Given the example cue mentioned under <code>startTime</code>, the value of <code>endTime</code> would be 65.5.</dd>
 <dt><code>text</code></dt>
 <dd>A {{domxref("DOMString")}} providing the text that will be shown during the time span indicated by <code>startTime</code> and <code>endTime</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("VTTCue")}} object representing a cue which will be presented during the time span given.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js  language-js">// Create a cue that is shown from 2 to 3 seconds and uses the given text.
var cue = new VTTCue(2, 3, 'Cool text to be displayed');</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebVTT", "#dom-vttcue-vttcue", "VTTCue()")}}</td>
   <td>{{Spec2("WebVTT")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VTTCue.VTTCue")}}</p>
